## mawk-1.3.3-20090711.tgz

=== rexp/Makefile ===

####################################
# This is a makefile for mawk,
# an implementation of AWK (1988).
####################################
#
#

CC = cc
CFLAGS = -O  -DMAWK -I..

O=regexp.o
DB=

all : $(O)
	@cat </dev/null > .done

debug : $(O) $(DB)
	@cat </dev/null > .done

$(O) : rexp.h

clean :
	rm -f *.o .done

=== debian/changelog ===
mawk (1.3.3-13) unstable; urgency=low

  * New maintainer; closes: #496711.
  * Drop versioned gcc build-dependency, which has been satisfied since
    before oldstable.
  * debian/rules: fix up clean target to use a simpler, standard distclean
    call, fixing a lintian warning.
  * debian/rules: future-proof the clean target for patch interaction
    with the build system, moving all the cleaning into a
    "clean-patched" target that fires before the unpatch target

 -- Steve Langasek <vorlon@debian.org>  Wed, 27 Aug 2008 10:03:33 -0700

mawk (1.3.3-12) unstable; urgency=low

  * New maintainer; closes: 496711
  * Fix the following lintian issues:
    W: ancient-standards-version 3.5.10.0 (current is 3.8.0)
    W: mawk: unknown-section base
    W: mawk: old-fsf-address-in-copyright-file

 -- Anibal Monsalve Salazar <anibal@debian.org>  Wed, 27 Aug 2008 17:41:50 +1000

mawk (1.3.3-11.1) unstable; urgency=low

  * Non-maintainer upload.
  * debian/postinst: fix bashism.  Closes: #308134

 -- Peter Eisentraut <petere@debian.org>  Sat, 05 Apr 2008 17:11:11 +0200

mawk (1.3.3-11) unstable; urgency=low

  * 08_fix-for-gcc3.3.dpatch: grossly hack configure to work around
    gcc-3.3 providing a builtin log() function which broke the configure
    tests.  Thanks to Daniel Schepler <schepler@math.berkeley.edu> for the
    report.  Closes: #195371

  * debian/control: add build-depends on gcc (>= 3:3.3-1) for hppa.
  * debian/rules: remove de-optimization hack for hppa.  Thanks to LaMont
    Jones <lamont@smallone.fc.hp.com> and Matthias Klose
    <doko@cs.tu-berlin.de>.  Closes: #105816

  * debian/control (Standards-Version): bump to 3.5.10.0.

 -- James Troup <james@nocrew.org>  Fri, 30 May 2003 15:24:50 +0100

mawk (1.3.3-10) unstable; urgency=low

  * Move to dpatch; existing non-debian/ changes split into
    01_error-on-full-fs, 02_fix-examples, 03_read-and-close-redefinition,
    04_mawk.1-fix-pi and 05_-Wall-fixes.
  * debian/rules: include /usr/share/dpatch/dpatch.make.
  * debian/rules (build): depend on patch-stamp.
  * debian/rules (clean): depend on unpatch.  Remove debian/patched.
  * debian/control (Build-Depends): add dpatch.

  * debian/rules: update copyright and use install_foo convenience
    variables.
  * debian/copyright: update copyright.

  * debian/control (Standards-Version): bump to 3.5.9.0.
  * debian/postinst, debian/prerm: no longer do /usr/doc symlinks.

  * debian/prerm: use set -e rather than #!/bin/sh -e.

  * 06_parse.y-semicolons.dpatch: new patch to fix missing semi-colons
    that upset recent versions of bison.  Thanks to Paul Eggert
    <eggert@twinsun.com>.  Closes: #170973
  * debian/control (Build-Depends): add bison.
  * debian/rules (clean): remove parse.c and parse.h so they're not
    included in the .diff.gz.

  * 07_mawktest-check-devfull: new patch to conditionalize the write error
    tests on the existence of /dev/full since apparently some systems
    don't have it.  Requested by Marcus.Brinkmann@ruhr-uni-bochum.de.
    Closes: #51875

  * debian/postinst: demote mawk to priority 5 so that gawk will be
    selected by default.  [mawk isn't being actively maintained upstream
    and has both long-standing bugs and isn't feature-complete WRT POSIX
    at least.]

 -- James Troup <james@nocrew.org>  Thu, 10 Apr 2003 02:22:27 +0100

mawk (1.3.3-9) unstable; urgency=low

  * debian/control: capitalize POSIX, thanks to Matt Zimmerman
    <mdz@debian.org>.  Closes: #125120
  * debian/changelog: remove obsolete local variables.
  * man/mawk.1: add a macro provided by Colin Watson <cjwatson@debian.org>
    to force PI to be displayed as "pi" (rather than 'n') when processed
    by nroff.  Closes: #103699
  * debian/control (Standards-Version): update to 3.5.6.1.

 -- James Troup <james@nocrew.org>  Fri,  9 Aug 2002 15:04:23 +0100

mawk (1.3.3-8) unstable; urgency=low

  * debian/rules (build): compile with -O1 on hppa to work around probable
    compiler bug.  Thanks to LaMont Jones <lamont@ia.mmjgroup.com>.

 -- James Troup <james@nocrew.org>  Wed, 18 Jul 2001 20:40:37 +0100

mawk (1.3.3-7) unstable; urgency=low

  * mawk.h: remove bogus redefinition of read() and close() and #include
    <unistd.h> instead, thanks to LaMont Jones <lamont@ia.mmjgroup.com>.
    Closes: #104124

 -- James Troup <james@nocrew.org>  Tue, 10 Jul 2001 03:09:24 +0100

mawk (1.3.3-6) unstable; urgency=low

  * debian/control (Maintainer): fixed to be me.
  * debian/changelog: remove add-log-mailing-address.
  * debian/rules: rewritten.
  * debian/control (Standards-Version): bump to 3.5.5.0.
  * Half hearted attempt at -Wall cleaning of the code.

 -- James Troup <james@nocrew.org>  Mon, 25 Jun 2001 05:33:51 +0100

mawk (1.3.3-5) unstable; urgency=low

  * debian/postinst: manpages are in /usr/share/man now; forgot to update
    the arguments to update-alternatives.  Thanks to Malcolm Parsons
    <malcolm@ivywell.screaming.net> for noticing.  [#54440]

 -- James Troup <awkmaint@nocrew.org>  Sun,  9 Jan 2000 16:54:14 +0000

mawk (1.3.3-4) unstable; urgency=low

  * debian/rules (build): make configure and the test scripts executables
    to make builds work under aegis.
  * debian/copyright: remove references to Linux.  Update location of the
    GPL.  We are mawk, not hello.
  * debian/rules (binary-arch): move to FHS; install documentation into
    /usr/share/doc/ and manpages into /usr/share/man/.
  * debian/postinst: add /usr/doc/ symlink.
  * debian/prerm: remove /usr/doc/ symlink.
  * debian/control (Standards-Version): update to 3.1.1.1.
  * debian/rules (binary-arch): pass -isp to dpkg-gencontrol.

 -- James Troup <awkmaint@nocrew.org>  Fri, 31 Dec 1999 13:53:42 +0000

mawk (1.3.3-3) unstable; urgency=low

  * debian/rules (binary-arch): add chmod -R go=rX to correct permissions
    on directories.
  * debian/control (Standards-Version): update [FSVO] to 2.5.0.0.

  * The following entries are a patch from Torsten Landschoff


=== debian/control ===
Source: mawk
Section: utils
Priority: required
Maintainer: Steve Langasek <vorlon@debian.org>
Build-Depends: dpatch, bison
Standards-Version: 3.8.0

Package: mawk
Architecture: any
Provides: awk
Pre-Depends: ${shlibs:Depends}
Description: a pattern scanning and text processing language
 Mawk is an interpreter for the AWK Programming Language. The AWK
 language is useful for manipulation of data files, text retrieval and
 processing, and for prototyping and experimenting with algorithms. Mawk
 is a new awk meaning it implements the AWK language as defined in Aho,
 Kernighan and Weinberger, The AWK Programming Language, Addison-Wesley
 Publishing, 1988. (Hereafter referred to as the AWK book.) Mawk conforms
 to the POSIX 1003.2 (draft 11.3) definition of the AWK language
 which contains a few features not described in the AWK book, and mawk
 provides a small number of extensions.
 .
 Mawk is smaller and much faster than gawk. It has some compile-time
 limits such as NF = 32767 and sprintf buffer = 1020.

=== debian/rules ===
#!/usr/bin/make -f
# debian/rules file - for Mawk (1.3.3)
# Based on sample debian/rules file - for GNU Hello (1.3).
# Copyright 1994,1995 by Ian Jackson.
# Copyright 2001-2003 James Troup
# I hereby give you perpetual unlimited permission to copy,
# modify and relicense this file, provided that you do not remove
# my name from the file itself.  (I assert my moral right of
# paternity under the Copyright, Designs and Patents Act 1988.)
# This file may have to be extensively modified

install_dir=install -d -m 755
install_file=install -m 644
install_script=install -m 755
install_binary=install -m 755 -s

include /usr/share/dpatch/dpatch.make

build: patch-stamp
	$(checkdir)
	chmod 755 configure test/mawktest test/fpe_test
	./configure
	$(MAKE) CC="$(CC)" CFLAGS="-g -Wall -O2" LDFLAGS="$(LDFLAGS)"
	touch build

clean: clean-patched unpatch
	-rm -rf debian/patched

clean-patched:
	$(checkdir)
	-rm -f build parse.c parse.h
	[ ! -f Makefile ] || make distclean
	-rm -f man/index.db
	-rm -rf debian/tmp debian/substvars debian/files*
	find . -name \*~ | xargs rm -vf

binary-indep:

binary-arch:	checkroot build
	$(checkdir)
	rm -rf debian/tmp

	$(install_dir) debian/tmp/DEBIAN
	$(install_script) debian/prerm debian/postinst debian/tmp/DEBIAN/

	$(install_dir) debian/tmp/usr/bin
	$(install_binary) mawk debian/tmp/usr/bin/

	$(install_dir) debian/tmp/usr/share/man/man1
	$(install_file) man/mawk.1  debian/tmp/usr/share/man/man1/
	gzip -9v debian/tmp/usr/share/man/man1/mawk.1

	$(install_dir) debian/tmp/usr/share/doc/mawk/
	$(install_file) CHANGES debian/tmp/usr/share/doc/mawk/changelog
	$(install_file) debian/changelog debian/tmp/usr/share/doc/mawk/changelog.Debian
	$(install_file) README ACKNOWLEDGMENT debian/tmp/usr/share/doc/mawk/
	gzip  -9v debian/tmp/usr/share/doc/mawk/*

	$(install_dir) debian/tmp/usr/share/doc/mawk/examples
	$(install_file) examples/* debian/tmp/usr/share/doc/mawk/examples/
	gzip -9v debian/tmp/usr/share/doc/mawk/examples/*

	$(install_file) debian/copyright debian/tmp/usr/share/doc/mawk/

	dpkg-shlibdeps mawk
	dpkg-gencontrol -isp
	chown -R root.root debian/tmp
	chmod -R go=rX debian/tmp
	dpkg --build debian/tmp ..

# Below here is fairly generic really

binary: 	binary-indep binary-arch

checkroot:
	$(checkdir)
	test root = "`whoami`"

.PHONY: binary binary-arch binary-indep clean checkroot
